## org.eclipse.ocl.expressions.impl
Class NavigationCallExpImpl<C,P>

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ocl.expressions.impl.OCLExpressionImpl<C>
                      org.eclipse.ocl.expressions.impl.CallExpImpl<C>
                          org.eclipse.ocl.expressions.impl.FeatureCallExpImpl<C>
                              org.eclipse.ocl.expressions.impl.NavigationCallExpImpl<C,P>

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, CallExp<C>, FeatureCallExp<C>, NavigationCallExp<C,P>, OCLExpression<C>, ASTNode, CallingASTNode, TypedElement<C>, Visitable

Direct Known Subclasses:
  AssociationClassCallExpImpl, PropertyCallExpImpl

    public abstract class NavigationCallExpImpl<C,P>

extends FeatureCallExpImpl<C>
implements NavigationCallExp<C,P>

An implementation of the model object 'Navigation Call Exp'.

The following features are implemented:

- `Qualifier`
- `Navigation Source`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected P` `navigationSource` The cached value of the '`Navigation Source`' reference
`protected EList<OCLExpression<C>>` `qualifier` The cached value of the '`Qualifier`' containment reference list

Fields inherited from class org.eclipse.ocl.expressions.impl.FeatureCallExpImpl
`MARKED_PRE_EDEFAULT, MARKED_PRE_EFLAG`

Fields inherited from class org.eclipse.ocl.expressions.impl.CallExpImpl
`PROPERTY_END_POSITION_EDEFAULT, PROPERTY_START_POSITION_EDEFAULT, propertyEndPosition, propertyStartPosition, source`

Fields inherited from class org.eclipse.ocl.expressions.impl.OCLExpressionImpl
`END_POSITION_EDEFAULT, endPosition, START_POSITION_EDEFAULT, startPosition`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `NavigationCallExpImpl()`

Method Summary
`P` `basicGetNavigationSource()`
`Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`P` `getNavigationSource()`
`EList<OCLExpression<C>>` `getQualifier()`
`void` `setNavigationSource(P newNavigationSource)`

Methods inherited from class org.eclipse.ocl.expressions.impl.FeatureCallExpImpl
`isMarkedPre, setMarkedPre, toString`

Methods inherited from class org.eclipse.ocl.expressions.impl.CallExpImpl
`basicSetSource, eBaseStructuralFeatureID, eDerivedStructuralFeatureID, getPropertyEndPosition, getPropertyStartPosition, getSource, setPropertyEndPosition, setPropertyStartPosition, setSource`

Methods inherited from class org.eclipse.ocl.expressions.impl.OCLExpressionImpl
`accept, getEndPosition, getName, getStartPosition, getType, setEndPosition, setName, setStartPosition, setType`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ocl.expressions.FeatureCallExp
`isMarkedPre, setMarkedPre`

Methods inherited from interface org.eclipse.ocl.expressions.CallExp
`getSource, setSource`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.CallingASTNode
`getPropertyEndPosition, getPropertyStartPosition, setPropertyEndPosition, setPropertyStartPosition`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### qualifier

    protected EList<OCLExpression<C>> qualifier

  The cached value of the '`Qualifier`' containment reference list.

  See Also:
    `getQualifier()`

### navigationSource

    protected P navigationSource

  The cached value of the '`Navigation Source`' reference.

  See Also:
    `getNavigationSource()`

Constructor Detail

### NavigationCallExpImpl

    protected NavigationCallExpImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `FeatureCallExpImpl<C>`

### getQualifier

    public EList<OCLExpression<C>> getQualifier()

  Specified by:
    `getQualifier` in interface `NavigationCallExp<C,P>`
  Returns:
    the value of the 'Qualifier' containment reference list.
  See Also:
    `ExpressionsPackage.getNavigationCallExp_Qualifier()`

### getNavigationSource

    public P getNavigationSource()

  Specified by:
    `getNavigationSource` in interface `NavigationCallExp<C,P>`
  Returns:
    the value of the 'Navigation Source' reference.
  See Also:
    `NavigationCallExp.setNavigationSource(Object)`, `ExpressionsPackage.getNavigationCallExp_NavigationSource()`

### basicGetNavigationSource

    public P basicGetNavigationSource()

### setNavigationSource

    public void setNavigationSource(P newNavigationSource)

  Specified by:
    `setNavigationSource` in interface `NavigationCallExp<C,P>`
  Parameters:
    `newNavigationSource` - the new value of the 'Navigation Source' reference.
  See Also:
    `NavigationCallExp.getNavigationSource()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `CallExpImpl<C>`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `FeatureCallExpImpl<C>`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `FeatureCallExpImpl<C>`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `FeatureCallExpImpl<C>`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `FeatureCallExpImpl<C>`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.